Skip to main content
GET
/
stores
/
{storeId}
/
licenses
List licenses
curl --request GET \
  --url https://api.pandabase.io/v2/core/stores/{storeId}/licenses \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "items": [
      {
        "id": "<string>",
        "key": "<string>",
        "status": "AVAILABLE",
        "productId": "<string>",
        "variantId": "<string>",
        "orderId": "<string>",
        "customerId": "<string>",
        "claimedAt": "2023-11-07T05:31:56Z",
        "createdAt": "2023-11-07T05:31:56Z"
      }
    ],
    "pagination": {
      "page": 123,
      "limit": 123,
      "total": 123,
      "totalPages": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Store API token. Use the sk_ prefixed secret key as the Bearer token.

Path Parameters

storeId
string
required

Store ID (shp_ prefix)

Required string length: 12 - 48

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:25
Required range: 1 <= x <= 100
productId
string
status
enum<string>
Available options:
AVAILABLE,
CLAIMED,
REVOKED

Response

Paginated list of licenses

ok
boolean
required
data
object
required